// Copyright (c) 2006 David Drysdale.  See license.txt for license info
import java.awt.*;
class ErrorDialog extends Dialog {
  ErrorDialog(Frame frame, String errstring) {
    super(frame, false);

    int start = errstring.indexOf(':');
    if (start == -1) {
      start = 0;
    } else {
      start++;
      while (Format.isWhitespace(errstring.charAt(start))) start++;
    }
    int len = errstring.length();
    int MAXLEN=80;
    if (len > MAXLEN) len = MAXLEN;
    
    add("Center", new Label(errstring.substring(start,start+len)));
    add("South", new Button("OK"));
    pack();
    show();
  }
  public boolean action(Event e, Object what) {
    if ("OK".equals(what)) {
      dispose();
      return true;
    }
    return false;
  }
};