// Copyright (c) 2006 David Drysdale.  See license.txt for license info
class Line2DSequence extends Sequence {
  public Line2D[][] lines_;
  public int numLines_;
  public Line2DSequence(int numFrames, int numLines) {
    super(numFrames);
    lines_ = new Line2D[numFrames][];
    for (int ii=0; ii<numFrames; ii++) {
      lines_[ii] = new Line2D[numLines];
      for (int jj=0; jj<numLines; jj++) {
        lines_[ii][jj] = new Line2D();
      }
    }
  }
  public Line2D[] frame(int which) {
    return lines_[which];
  }
};