// Copyright (c) 2006 David Drysdale.  See license.txt for license info
class Point2D {
  public double x;
  public double y;
  public double distance(Point2D other) {
    return Math.sqrt((x-other.x)*(x-other.x) + (y-other.y)*(y-other.y));
  }
  public double distance(double ox, double oy) {
    return Math.sqrt((x-ox)*(x-ox) + (y-oy)*(y-oy));
  }
  public void dump(String prefix) {
    System.out.println(prefix + "(" + x + ", " + y + ")");
  }
};