// Copyright (c) 2006 David Drysdale.  See license.txt for license info
import java.awt.*;

class SaveDialog extends Dialog {
    Button okButton;
    Button cancelButton;
    Panel labelPanel;
    TextArea textStuff;
    SaveDialog(Frame frame, boolean modal, String sval) {
        super(frame, modal);

        labelPanel = new Panel();
        labelPanel.setLayout(new BorderLayout());
        labelPanel.add("North", new Label("I'm a Java applet, so I'm not allowed to write to your disk. However, you are, so you should"));
        labelPanel.add("Center", new Label("load up a text editor, paste in the description below, then save it."));

        add("North", labelPanel);
        textStuff = new TextArea();
        Font fixedFont = new Font("Courier", Font.PLAIN, 10);
        if (fixedFont != null) textStuff.setFont(fixedFont);
        textStuff.setText(sval);
        textStuff.setEditable(false);
        add("Center", textStuff);
        okButton = new Button("OK");
        add("South", okButton);
        pack();
    }
    public boolean action(Event e, Object what) {
        if (e.target == okButton) {
            setVisible(false);
            return true;
        }
        return false;
    }
}
